[XEN VM IMG] ArchVM <--- deprecated 01/07/2014


688 posts in this topic Last Reply

Recommended Posts

  • Replies 687
  • Created
  • Last Reply

Top Posters In This Topic

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

 

 

I think I need to update the build package for logitechmediaserver, but I'm not sure how to do that.  Any help would be appreciated.

 

Everything seems to be working fine with LMS, I'm guessing my Perl was updated to 5.2 or higher, but LMS is looking for 5.19 or earlier.  I think I need to update the depends line in the build package.  Trying to learn :)

 

Thanks.

Link to post

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

 

 

I think I need to update the build package for logitechmediaserver, but I'm not sure how to do that.  Any help would be appreciated.

 

Everything seems to be working fine with LMS, I'm guessing my Perl was updated to 5.2 or higher, but LMS is looking for 5.19 or earlier.  I think I need to update the depends line in the build package.  Trying to learn :)

 

Thanks.

 

Checkout the AUR page for logitechMS. I found this there.

 

Comment by NygelLyndley

2014-06-06 14:51

FYI quick fix if using 5.20 and encountering issues where :

- player drop down not populating

- volume control not working

- file tree view in wizard not showing

 

Delete (or rename if you want) the folder /opt/logitechmediaserver/CPAN/Compress

 

This module is causing issues and is now in core Perl anyway so not required.

 

https://aur.archlinux.org/packages/logitechmediaserver

Link to post
Checkout the AUR page for logitechMS. I found this there.

 

Deleting C:R:Z doesn't fix the issue.

 

For some reason LMS appears to have perl<5.19 as a dependency and I have no idea how to alter that dependency, or revert to perl 5.19.

 

 

Edited to add:

I'm not sure whether it is a good idea, or not, but I was able to perform the update using "pacman -Syud".  The -d switch causes pacman to ignore dependencies.

 

Link to post

Checkout the AUR page for logitechMS. I found this there.

 

Deleting C:R:Z doesn't fix the issue.

 

For some reason LMS appears to have perl<5.19 as a dependency and I have no idea how to alter that dependency, or revert to perl 5.19.

 

 

Edited to add:

I'm not sure whether it is a good idea, or not, but I was able to perform the update using "pacman -Syud".  The -d switch causes pacman to ignore dependencies.

 

I don't really know much about this specific issue. I'd like to think I could help but in reality your best bet is likely the arch forums.

 

Sent from my Nexus 5 using Tapatalk

 

 

Link to post

Another lms related question....

 

I got lms installed successfully and it works great, autostart a etc.

 

However, when I add triodes spotify plugin, it fails. I've figured out its because there's not network available when lms autostarts.

 

It works fine when I stop and start logitechmediaserver.

 

My question is, where is the autostart call made as I want to nip in there and add a delay (or is there a bette way to ensure that there's internet access before lms starts).

 

Thanks

 

Peter

Link to post

Another lms related question....

 

I got lms installed successfully and it works great, autostart a etc.

 

However, when I add triodes spotify plugin, it fails. I've figured out its because there's not network available when lms autostarts.

 

It works fine when I stop and start logitechmediaserver.

 

I think you'll find that any Internet activity from LMS will fail - eg updating plugins, searching for art etc.

 

See here for a remedy.

Link to post

Another lms related question....

 

I got lms installed successfully and it works great, autostart a etc.

 

However, when I add triodes spotify plugin, it fails. I've figured out its because there's not network available when lms autostarts.

 

It works fine when I stop and start logitechmediaserver.

 

I think you'll find that any Internet activity from LMS will fail - eg updating plugins, searching for art etc.

 

See here for a remedy.

 

Any chance you could break out the LMS discussion to it's own thread to make it more visible for others having any future issues please? :)

Link to post

I've been running my archVM for a few weeks. But something weird has happened and the vm can no longer access my unRAID host using the /net syntax. The symptom was SB was reporting "(dir is missing)" next to each of my folder names.

 

I restarted the VM and that didn't help. And then did a full reboot. Still no luck. Literally as I was writing this the post I got the following crash.

 

Any help greatly appreciated!

 

[root@IronicsArchVM_v4 net]# showmount -e 192.168.1.250
Export list for 192.168.1.250:
/mnt/user/nzb *
/mnt/user/TV  *
[root@IronicsArchVM_v4 net]# ls /net/Tower
ls: cannot access /net/Tower: No such file or directory
[root@IronicsArchVM_v4 net]# [ 1971.959849] BUG: unable to handle kernel paging request at 000000010007a765
[ 1971.959874] IP: [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.959899] PGD f7dda067 PUD 0
[ 1971.959910] Oops: 0000 [#1] PREEMPT SMP
[ 1971.959922] Modules linked in: nfsd auth_rpcgss oid_registry nfs_acl coretemp  hwmon x86_pkg_temp_thermal crct10dif_pclmul crct10dif_common crc32_pclmul crc32 c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul evdev glue_helper ablk_helper pcspkr cryptd microcode nfs lockd sunrpc fscache ext4 crc16 mbcache jbd2 xen_kbdfront xen_netfront xen_fbfront syscopyarea sysfillrect sysimgblt fb_sys_fops xen_blkfront
[ 1971.960017] CPU: 0 PID: 354 Comm: SABnzbd.py Not tainted 3.14.4-1-ARCH #1
[ 1971.960029] task: ffff8800f43e0000 ti: ffff8800f43da000 task.ti: ffff8800f43da000
[ 1971.960041] RIP: e030:[<ffffffff811de338>]  [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.960058] RSP: e02b:ffff8800f43dbe78  EFLAGS: 00010216
[ 1971.960067] RAX: 000000010007a755 RBX: 0000000000000000 RCX: 0000000000000000
[ 1971.960077] RDX: ffff8800f43dbea0 RSI: 0000000000000001 RDI: ffff8800f4376e80
[ 1971.960087] RBP: ffff8800f43dbed8 R08: 0000000000001000 R09: 000000000000fffc
[ 1971.960098] R10: 0000000000000000 R11: 0000000000000206 R12: ffff8800f43dbf48
[ 1971.960108] R13: ffff8800024f2b00 R14: ffff8800f4376e80 R15: 0000000000000001
[ 1971.960131] FS:  00007f38f0ff9700(0000) GS:ffff8800ff200000(0000) knlGS:0000000000000000
[ 1971.960143] CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 1971.960152] CR2: 000000010007a765 CR3: 00000000f7f86000 CR4: 0000000000042660
[ 1971.960164] Stack:
[ 1971.960169]  0000000000000019 00007f38f0ff5670 ffff8800f4376ec0 0000000000000040
[ 1971.960187]  0000000000000000 0000000000000000 00000000497f37a2 ffff8800f8403d80
[ 1971.960203]  fffffffffffffffb ffff8800f43dbf48 0000000000000040 000000000200232f
[ 1971.960219] Call Trace:
[ 1971.960236]  [<ffffffff81224458>] proc_reg_read+0x48/0x70
[ 1971.960251]  [<ffffffff811ba7d7>] vfs_read+0x97/0x160
[ 1971.960263]  [<ffffffff811bb329>] SyS_read+0x59/0xd0
[ 1971.960282]  [<ffffffff81517769>] system_call_fastpath+0x16/0x1b
[ 1971.960291] Code: e9 d7 fe ff ff 66 0f 1f 44 00 00 48 39 45 b8 48 89 45 a0 76 66 48 8b 45 c0 48 89 45 c8 49 8b 46 68 4c 89 fe 48 8d 55 c8 4c 89 f7 <ff> 50 10 48 85 c0 49 89 c7 74 45 48 3d 00 f0 ff ff 77 3d 49 8b
[ 1971.960401] RIP  [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.960413]  RSP <ffff8800f43dbe78>
[ 1971.960420] CR2: 000000010007a765
[ 1971.960508] ---[ end trace 573fee33e0c0e47c ]---

[root@IronicsArchVM_v4 net]# ls /net/Tower
ls: cannot access /net/Tower: No such file or directory

Link to post

Can you update your repo to include the newer version of LMS referenced in this thread ?  Sounds like it should fix the issue.

 

https://aur.archlinux.org/packages/logitechmediaserver/?setlang=hu&comments=all'>https://aur.archlinux.org/packages/logitechmediaserver/?setlang=hu&comments=all

 

http://arch.vesath.org/all/logitechmediaserver-7.8.0-3-x86_64.pkg.tar.xz

 

Or alternatively, how would I upgrade the existing package with this newer build ?

 

 

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

 

 

I think I need to update the build package for logitechmediaserver, but I'm not sure how to do that.  Any help would be appreciated.

 

Everything seems to be working fine with LMS, I'm guessing my Perl was updated to 5.2 or higher, but LMS is looking for 5.19 or earlier.  I think I need to update the depends line in the build package.  Trying to learn :)

 

Thanks.

 

Checkout the AUR page for logitechMS. I found this there.

 

Comment by NygelLyndley

2014-06-06 14:51

FYI quick fix if using 5.20 and encountering issues where :

- player drop down not populating

- volume control not working

- file tree view in wizard not showing

 

Delete (or rename if you want) the folder /opt/logitechmediaserver/CPAN/Compress

 

This module is causing issues and is now in core Perl anyway so not required.

 

https://aur.archlinux.org/packages/logitechmediaserver

Link to post

I was able to install using pacman -U and the URL below ... Seems to be working now again :)

 

Can you update your repo to include the newer version of LMS referenced in this thread ?  Sounds like it should fix the issue.

 

https://aur.archlinux.org/packages/logitechmediaserver/?setlang=hu&comments=all'>https://aur.archlinux.org/packages/logitechmediaserver/?setlang=hu&comments=all

 

http://arch.vesath.org/all/logitechmediaserver-7.8.0-3-x86_64.pkg.tar.xz

 

Or alternatively, how would I upgrade the existing package with this newer build ?

 

 

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

 

 

I think I need to update the build package for logitechmediaserver, but I'm not sure how to do that.  Any help would be appreciated.

 

Everything seems to be working fine with LMS, I'm guessing my Perl was updated to 5.2 or higher, but LMS is looking for 5.19 or earlier.  I think I need to update the depends line in the build package.  Trying to learn :)

 

Thanks.

 

Checkout the AUR page for logitechMS. I found this there.

 

Comment by NygelLyndley

2014-06-06 14:51

FYI quick fix if using 5.20 and encountering issues where :

- player drop down not populating

- volume control not working

- file tree view in wizard not showing

 

Delete (or rename if you want) the folder /opt/logitechmediaserver/CPAN/Compress

 

This module is causing issues and is now in core Perl anyway so not required.

 

https://aur.archlinux.org/packages/logitechmediaserver

Link to post

I've been running my archVM for a few weeks. But something weird has happened and the vm can no longer access my unRAID host using the /net syntax. The symptom was SB was reporting "(dir is missing)" next to each of my folder names.

 

I restarted the VM and that didn't help. And then did a full reboot. Still no luck. Literally as I was writing this the post I got the following crash.

 

Any help greatly appreciated!

 

[root@IronicsArchVM_v4 net]# showmount -e 192.168.1.250
Export list for 192.168.1.250:
/mnt/user/nzb *
/mnt/user/TV  *
[root@IronicsArchVM_v4 net]# ls /net/Tower
ls: cannot access /net/Tower: No such file or directory
[root@IronicsArchVM_v4 net]# [ 1971.959849] BUG: unable to handle kernel paging request at 000000010007a765
[ 1971.959874] IP: [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.959899] PGD f7dda067 PUD 0
[ 1971.959910] Oops: 0000 [#1] PREEMPT SMP
[ 1971.959922] Modules linked in: nfsd auth_rpcgss oid_registry nfs_acl coretemp  hwmon x86_pkg_temp_thermal crct10dif_pclmul crct10dif_common crc32_pclmul crc32 c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul evdev glue_helper ablk_helper pcspkr cryptd microcode nfs lockd sunrpc fscache ext4 crc16 mbcache jbd2 xen_kbdfront xen_netfront xen_fbfront syscopyarea sysfillrect sysimgblt fb_sys_fops xen_blkfront
[ 1971.960017] CPU: 0 PID: 354 Comm: SABnzbd.py Not tainted 3.14.4-1-ARCH #1
[ 1971.960029] task: ffff8800f43e0000 ti: ffff8800f43da000 task.ti: ffff8800f43da000
[ 1971.960041] RIP: e030:[<ffffffff811de338>]  [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.960058] RSP: e02b:ffff8800f43dbe78  EFLAGS: 00010216
[ 1971.960067] RAX: 000000010007a755 RBX: 0000000000000000 RCX: 0000000000000000
[ 1971.960077] RDX: ffff8800f43dbea0 RSI: 0000000000000001 RDI: ffff8800f4376e80
[ 1971.960087] RBP: ffff8800f43dbed8 R08: 0000000000001000 R09: 000000000000fffc
[ 1971.960098] R10: 0000000000000000 R11: 0000000000000206 R12: ffff8800f43dbf48
[ 1971.960108] R13: ffff8800024f2b00 R14: ffff8800f4376e80 R15: 0000000000000001
[ 1971.960131] FS:  00007f38f0ff9700(0000) GS:ffff8800ff200000(0000) knlGS:0000000000000000
[ 1971.960143] CS:  e033 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 1971.960152] CR2: 000000010007a765 CR3: 00000000f7f86000 CR4: 0000000000042660
[ 1971.960164] Stack:
[ 1971.960169]  0000000000000019 00007f38f0ff5670 ffff8800f4376ec0 0000000000000040
[ 1971.960187]  0000000000000000 0000000000000000 00000000497f37a2 ffff8800f8403d80
[ 1971.960203]  fffffffffffffffb ffff8800f43dbf48 0000000000000040 000000000200232f
[ 1971.960219] Call Trace:
[ 1971.960236]  [<ffffffff81224458>] proc_reg_read+0x48/0x70
[ 1971.960251]  [<ffffffff811ba7d7>] vfs_read+0x97/0x160
[ 1971.960263]  [<ffffffff811bb329>] SyS_read+0x59/0xd0
[ 1971.960282]  [<ffffffff81517769>] system_call_fastpath+0x16/0x1b
[ 1971.960291] Code: e9 d7 fe ff ff 66 0f 1f 44 00 00 48 39 45 b8 48 89 45 a0 76 66 48 8b 45 c0 48 89 45 c8 49 8b 46 68 4c 89 fe 48 8d 55 c8 4c 89 f7 <ff> 50 10 48 85 c0 49 89 c7 74 45 48 3d 00 f0 ff ff 77 3d 49 8b
[ 1971.960401] RIP  [<ffffffff811de338>] seq_read+0x2f8/0x3f0
[ 1971.960413]  RSP <ffff8800f43dbe78>
[ 1971.960420] CR2: 000000010007a765
[ 1971.960508] ---[ end trace 573fee33e0c0e47c ]---

[root@IronicsArchVM_v4 net]# ls /net/Tower
ls: cannot access /net/Tower: No such file or directory

 

I figured out a workaround. Not sure why this suddenly stopped working.

 

But when I type "ping Tower" it pings some server owned by Verizon.

 

I first figured out that I was able to access using my IP address (/net/192.x.x.x/mnt/user/...).

 

So I added "Tower" to my hosts file.  Now all is working again.

 

Interestingly I can ping my other unRAID server by name. But it is DHCP and not a static IP address.

Link to post
I was able to install using pacman -U and the URL below ... Seems to be working now again :)
...

http://arch.vesath.org/all/logitechmediaserver-7.8.0-3-x86_64.pkg.tar.xz

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

Thanks. I was having this too. All good now.
Link to post

Nice, I was able to help someone for a change :)  Can't live without LMS.

 

I was able to install using pacman -U and the URL below ... Seems to be working now again :)
...

http://arch.vesath.org/all/logitechmediaserver-7.8.0-3-x86_64.pkg.tar.xz

Was hoping someone could help me with this error when running pacman -Syu

 

resolving dependencies...

looking for inter-conflicts...

error: failed to prepare transaction (could not satisfy dependencies)

:: logitechmediaserver: requires perl<5.19

Thanks. I was having this too. All good now.

Link to post

Is anyone else getting bad crc errors when trying to extract the zip file?

 

:/mnt/ssd# unzip ArchVM_v5.zip

Archive:  ArchVM_v5.zip

  creating: ArchVM/

  inflating: ArchVM/arch.cfg

  inflating: ArchVM/arch.img          bad CRC 88ac6f08  (should be 658607d6)

 

Ive tried downloading it a few times now.

Link to post

Is anyone else getting bad crc errors when trying to extract the zip file?

 

:/mnt/ssd# unzip ArchVM_v5.zip

Archive:  ArchVM_v5.zip

  creating: ArchVM/

  inflating: ArchVM/arch.cfg

  inflating: ArchVM/arch.img          bad CRC 88ac6f08  (should be 658607d6)

 

Ive tried downloading it a few times now.

 

Works here. Just tested. I used md5 on my Mac to generate a checksum.

 

MD5 (ArchVM_v5.zip) = 3ec8644d59a02e0985c46c915983fefa

 

root@unraid_beta6b:/mnt/cache/VM# unzip ArchVM_v5.zip 
Archive:  ArchVM_v5.zip
   creating: ArchVM/
  inflating: ArchVM/arch.cfg         
  inflating: ArchVM/arch.img         
root@unraid_beta6b:/mnt/cache/VM# 

Link to post

I just tried to install AcrhVM and get it up and running but I ran into some issues. I am running a fresh install of unraid 6 beta 5a

 

1. Unzip

root@Ark:/mnt/cache/VirtualMachines# unzip ArchVM_v5.zip
-bash: /usr/bin/unzip: cannot execute binary file

 

2. xl create arch.cfg -c

root@Ark:/mnt/cache/VirtualMachines/ArchVM# xl create arch.cfg -c
Parsing config from arch.cfg
libxl: error: libxl_bootloader.c:628:bootloader_finished: bootloader failed - consult logfile /var/log/xen/bootloader.1.log
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: bootloader [19298] exited with error status 2
libxl: error: libxl_create.c:900:domcreate_rebuild_done: cannot (re-)build domain: -3
libxl: error: libxl_dom.c:35:libxl__domain_type: unable to get domain type for domid=1
Unable to attach console
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: console child [0] exited with error status 1

 

As for the output of the logfile:

usr/lib64/xen/bin/pygrub: line 16: import: command not found
/usr/lib64/xen/bin/pygrub: line 17: import: command not found
/usr/lib64/xen/bin/pygrub: line 18: import: command not found
/usr/lib64/xen/bin/pygrub: line 19: import: command not found
/usr/lib64/xen/bin/pygrub: line 20: import: command not found
/usr/lib64/xen/bin/pygrub: line 22: import: command not found
/usr/lib64/xen/bin/pygrub: line 23: import: command not found
/usr/lib64/xen/bin/pygrub: line 25: import: command not found
/usr/lib64/xen/bin/pygrub: line 26: import: command not found
/usr/lib64/xen/bin/pygrub: line 27: import: command not found
/usr/lib64/xen/bin/pygrub: line 28: import: command not found
/usr/lib64/xen/bin/pygrub: line 30: PYGRUB_VER: command not found
/usr/lib64/xen/bin/pygrub: line 31: FS_READ_MAX: command not found
/usr/lib64/xen/bin/pygrub: line 33: syntax error near unexpected token `('
/usr/lib64/xen/bin/pygrub: line 33: `def enable_cursor(ison):'

Here is my config file for ArchVM:

# Created for the unRaid community by IronicBadger. 
# Last updated 19/05/2014. Enjoy!

name = "archVM"		# change me as required
bootloader = "pygrub"
memory = 4096		# update me to 4096 if using sabnzbd
vcpus = '3'			# update me to no of CPUs allocated
disk = [ 
'phy:/mnt/cache/VirtualMachines/ArchVM/arch.img,xvda,w',
#	'phy:/mnt/user/Software/data.img,xvdb,w'
]

# replace xx:xx:xx with random a1:b2:c3 mac address
vif = [ 'mac=00:16:3e:a1:b2:c3,bridge=br0' ]

 

 

hope anyone can help me out!

Link to post

I just tried to install AcrhVM and get it up and running but I ran into some issues. I am running a fresh install of unraid 6 beta 5a

 

1. Unzip

root@Ark:/mnt/cache/VirtualMachines# unzip ArchVM_v5.zip
-bash: /usr/bin/unzip: cannot execute binary file

 

2. xl create arch.cfg -c

root@Ark:/mnt/cache/VirtualMachines/ArchVM# xl create arch.cfg -c
Parsing config from arch.cfg
libxl: error: libxl_bootloader.c:628:bootloader_finished: bootloader failed - consult logfile /var/log/xen/bootloader.1.log
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: bootloader [19298] exited with error status 2
libxl: error: libxl_create.c:900:domcreate_rebuild_done: cannot (re-)build domain: -3
libxl: error: libxl_dom.c:35:libxl__domain_type: unable to get domain type for domid=1
Unable to attach console
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: console child [0] exited with error status 1

 

As for the output of the logfile:

usr/lib64/xen/bin/pygrub: line 16: import: command not found
/usr/lib64/xen/bin/pygrub: line 17: import: command not found
/usr/lib64/xen/bin/pygrub: line 18: import: command not found
/usr/lib64/xen/bin/pygrub: line 19: import: command not found
/usr/lib64/xen/bin/pygrub: line 20: import: command not found
/usr/lib64/xen/bin/pygrub: line 22: import: command not found
/usr/lib64/xen/bin/pygrub: line 23: import: command not found
/usr/lib64/xen/bin/pygrub: line 25: import: command not found
/usr/lib64/xen/bin/pygrub: line 26: import: command not found
/usr/lib64/xen/bin/pygrub: line 27: import: command not found
/usr/lib64/xen/bin/pygrub: line 28: import: command not found
/usr/lib64/xen/bin/pygrub: line 30: PYGRUB_VER: command not found
/usr/lib64/xen/bin/pygrub: line 31: FS_READ_MAX: command not found
/usr/lib64/xen/bin/pygrub: line 33: syntax error near unexpected token `('
/usr/lib64/xen/bin/pygrub: line 33: `def enable_cursor(ison):'

Here is my config file for ArchVM:

# Created for the unRaid community by IronicBadger. 
# Last updated 19/05/2014. Enjoy!

name = "archVM"		# change me as required
bootloader = "pygrub"
memory = 4096		# update me to 4096 if using sabnzbd
vcpus = '3'			# update me to no of CPUs allocated
disk = [ 
'phy:/mnt/cache/VirtualMachines/ArchVM/arch.img,xvda,w',
#	'phy:/mnt/user/Software/data.img,xvdb,w'
]

# replace xx:xx:xx with random a1:b2:c3 mac address
vif = [ 'mac=00:16:3e:a1:b2:c3,bridge=br0' ]

 

 

hope anyone can help me out!

 

Did you get pass the unzip issue you mention? The rest won't work without you successfully unzipping the file first.

Link to post

I unzipped it via winrar using my desktop PC as I couldnt get passed the 1st error. Also tried unrar on the unraid box but i get the same error. I also redownloaded the file but with no success

 

even the following command doesnt work:

root@Ark:~# unzip --help
-bash: /usr/bin/unzip: cannot execute binary file

 

Could this has something to do with the type of hardware I am using or bios settings perhaps, I read somewhere that this might be the problem?

Link to post

I unzipped it via winrar using my desktop PC as I couldnt get passed the 1st error. Also tried unrar on the unraid box but i get the same error. I also redownloaded the file but with no success

 

even the following command doesnt work:

root@Ark:~# unzip --help
-bash: /usr/bin/unzip: cannot execute binary file

 

Could this has something to do with the type of hardware I am using or bios settings perhaps, I read somewhere that this might be the problem?

The unrar command doesn't exist on stock unRAID, but unzip does. However, your unzip error means that unzip does not work on yours for some reason. Since that is part of the core unRAID distribution, I wonder what else might be broken. Post a syslog
Link to post

I unzipped it via winrar using my desktop PC as I couldnt get passed the 1st error. Also tried unrar on the unraid box but i get the same error. I also redownloaded the file but with no success

 

even the following command doesnt work:

root@Ark:~# unzip --help
-bash: /usr/bin/unzip: cannot execute binary file

 

Could this has something to do with the type of hardware I am using or bios settings perhaps, I read somewhere that this might be the problem?

The unrar command doesn't exist on stock unRAID, but unzip does. However, your unzip error means that unzip does not work on yours for some reason. Since that is part of the core unRAID distribution, I wonder what else might be broken. Post a syslog

 

I re-extracted the unraid 6 files to the flashdrive and enabled VT-d on my CPU and the unzip seems te be working atm.

Everything seems to be working now, the VM booted up. Thanks anyways for the effort!

Link to post

Would like to try and get this running in my ArchVM.  Before I backup my VM, and take a shot at this, wanted to see if anyone here has attempted to install it ?  Or maybe it could be added to the Arch Repository.  I think development has stopped on MediaFrontPage, and Maraschino has slowed to a crawl. 

 

http://htpc.io/index.html

 

https://aur.archlinux.org/packages/htpcmanager-git/

 

Any thoughts or advice would be appreciated.

 

Thanks.

Link to post
Guest
This topic is now closed to further replies.